import request from '@/utils/request'

// 创建集运业务的多语言模板
export function createConsLanguageTemplate(data) {
  return request({
    url: '/ecw/cons-language-template/create',
    method: 'post',
    data: data
  })
}

// 更新集运业务的多语言模板
export function updateConsLanguageTemplate(data) {
  return request({
    url: '/ecw/cons-language-template/update',
    method: 'put',
    data: data
  })
}

// 删除集运业务的多语言模板
export function deleteConsLanguageTemplate(id) {
  return request({
    url: '/ecw/cons-language-template/delete?id=' + id,
    method: 'delete'
  })
}

// 获得集运业务的多语言模板
export function getConsLanguageTemplate(id) {
  return request({
    url: '/ecw/cons-language-template/get?id=' + id,
    method: 'get'
  })
}

// 获得集运业务的多语言模板分页
export function getConsLanguageTemplatePage(query) {
  return request({
    url: '/ecw/cons-language-template/page',
    method: 'get',
    params: query
  })
}

// 导出集运业务的多语言模板 Excel
export function exportConsLanguageTemplateExcel(query) {
  return request({
    url: '/ecw/cons-language-template/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
